Skip to main content
POST
/
api
/
v1
/
email-domains
/
{domainId}
/
verify
Verify an email domain
curl --request POST \
  --url https://prod.featherhq.com/api/v1/email-domains/{domainId}/verify \
  --header 'X-API-Key: <api-key>'
{
  "emailDomain": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "<string>",
    "subdomain": "<string>",
    "domain": "<string>",
    "fullDomain": "<string>",
    "emailProvider": "RESEND",
    "providerDomainId": "<string>",
    "mxRecord": "<string>",
    "mxPriority": 123,
    "spfHostname": "<string>",
    "spfValue": "<string>",
    "dkimSelector": "<string>",
    "dkimHostname": "<string>",
    "dkimValue": "<string>",
    "cnameValue": "<string>",
    "cnamePriority": 123,
    "mxVerified": true,
    "spfVerified": true,
    "dkimVerified": true,
    "cnameVerified": true,
    "status": "PENDING",
    "verifiedAt": "<string>",
    "lastCheckedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

domainId
string<uuid>
required

Response

Verification result

emailDomain
object
required